body {
  margin: 0;
}

.container {
  width: 1110px;
  margin: 0 auto;
  box-sizing: border-box;
}

.grab-left {
  float: left;
}

.grab-right {
  float: right;
}

.clearfix::after {
  content: '';
  clear: both;
  display: block;
}

img {
  display: block;
  width: 100%;
}

a {
  display: block;
  text-decoration: none;
}

a:visited {
  color: #0f0101;
}

nav {
  padding: 38px 0 26px 0;
}

.logo {
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
  font-size: 30px;
  color: #605e5e;
  text-transform: uppercase;
  padding-top: 3px;
}

.logo::first-letter {
  color: #1abc9c;
  font-weight: 900;
}

.navigation {
  margin: 0;
  padding: 6px 0;
  list-style: none;
}

.navigation li {
  float: left;
  width: 98px;
  text-align: center;
  margin-right: 2px;
}

.navigation li:last-child {
  margin-right: 0;
}

.navigation a {
  padding: 4px;
  color: #0f0101;
  font-size: 14px;
  font-weight: 700;
  font-family: 'Open Sans', sans-serif;
  text-transform: uppercase;
  letter-spacing: -0.2px;
}

.navigation a:hover,
.navigation a:focus {
  color: #1abc9c;
}

/* header */


.slider {
  background: url(../img/slider.png) no-repeat center;
  position: relative;
  height: 602px;
}

/* .slider:hover img{
  filter: brightness(50%);
  transition: 1s;
} для себя */

.slide-content {
  position: absolute;
  top: 38%;
  left: 50%;
  transform: translate(-50%);
}

.slider-text {
  float: left;
  padding: 0 80px 0;
  text-transform: uppercase;
  color: #ffffff;
}

.slide-content h1 {
  font-family: 'Roboto', sans-serif;
  font-weight: 900;
  font-size: 58px;
  padding-bottom: 32px;
  margin: 0;
  line-height: 0.9;
}

.slide-content h4 {
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
  font-size: 23px;
  margin: 0;
}

.slider-buttton {
  width: 105px;
  height: 105px;
  border: 0;
  padding: 0;
  background: rgba(26, 188, 156, 0.55) no-repeat center;
  cursor: pointer;
}

.slider-buttton-prev {
  float: left;
  background-image: url(../img/arrow-left.png);
}

.slider-buttton-next {
  float: right;
  background-image: url(../img/arrow-right.png);
}

.slider-buttton:hover {
  background-color: rgb(26, 188, 156);
}


/* main */

section {
  background: #e9f0fd;
  padding: 92px 0 100px;
}

h2 {
  font-family: 'Roboto', sans-serif;
  font-weight: 900;
  color: #515151;
  text-transform: uppercase;
  font-size: 46px;
  text-align: center;
  margin: 0 0 104px 0;
  letter-spacing: -0.2px;
  position: relative;
}

h2:after {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -50%;
  content: "";
  display: block;
  width: 165px;
  background: #1abc9c;
  height: 7px;
}

.product {
  float: left;
  width: 255px;
  margin-right: 30px;
  position: relative;
}

.product:last-child {
  margin-right: 0;
}

.product-description span {
  display: block;
  margin: 0;
  color: white;
  box-sizing: border-box;
  padding: 10px;
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  text-transform: uppercase;
  font-size: 17.5px;
}

.title {
  width: 203px;
  background: #323232;
}

.price {
  background: #8c8c8c;
  width: 52px;
  text-align: center;
}

.product img {
  height: 283px;
  width: 255px;
}

.controls {
  opacity: 0;
  position: absolute;
  top: 10px;
  left: 10px;
  width: 236px;
  height: 264px;
  background: rgba(115, 115, 115, 0.7);
  box-sizing: border-box;
  text-align: center;
  font-size: 0;
}

.absolute-centered {
  position: absolute;
  width: 100%;
  top: 50%;
  transform: translateY(-50%);
  font-size: 0;
}

.absolute-centered button {
  padding: 0;
  cursor: pointer;
}

.icon {
  width: 50px;
  height: 50px;
  display: inline-block;
  border: 1px solid rgb(255, 255, 255);
  background-repeat: no-repeat;
  background-position: center;
  background-color: transparent;
  margin: 0 6px 6px 0;
  box-sizing: content-box;
}

.icon-heart {
  background-image: url('../img/heart.png');
}

.icon-arrows {
  background-image: url('../img/arrows.png');
}

.icon-clock {
  background-image: url('../img/clock.png');
  margin-right: 0;
}

.icon-chart {
  float: left;
  background-image: url('../img/chart.png');
  margin: 0;
  border: 0;
}

.button-basket:hover,
.icon:hover:not(.icon-chart) {
  background-color: #1abc9c;
  border-color: #1abc9c;
}

.product:hover .controls {
  opacity: 1;
}

.product:hover img {
  opacity: 0.7;
}

.button-basket {
  width: 168px;
  height: 50px;
  border: 1px solid white;
  margin: 0 auto;
  background: #323232;
}

.button-basket-text {
  float: left;
  font-family: 'Open Sans', sans-serif;
  font-weight: 300;
  font-size: 14px;
  text-transform: uppercase;
  color: #ffffff;
  padding: 15px 7px;
}

.product:hover .title,
.product:focus .title {
  background: #1abc9c;
}

.product:hover .price,
.product:focus .price {
  background: #7fd9c7;
}

footer {
  background: #323232;
  padding: 35px 0;
}

.text-footer {
  text-align: center;
  color: #fefefe;
  font-family: 'Open Sans', sans-serif;
  font-weight: 200;
  font-size: 16px;
  margin: 0;
}

.text-footer span {
  color: #1abc9c;
}
